/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/** api: example[getfeaturesbydraw]
 *  Get Features by Drawing
 *  -----------------------
 *  Get, select and download Features by drawing on Map.
 */

/** This config assumes the DefaultOptionsWorld.js to be included first!! */
Heron.options.map.settings.zoom = 12;


// See ToolbarBuilder.js : each string item points to a definition
// in Heron.ToolbarBuilder.defs. Extra options and even an item create function
// can be passed here as well. By providing a "create" function your own toolbar
// item can be added.
// For menu's and other standard ExtJS Toolbar items, the "any" type can be
// used. There you need only pass the options, similar as in the function
// ExtJS Toolbar.add().
Heron.options.map.toolbar = [
	{type: "featureinfo", options: {max_features: 20}},
	{type: "-"} ,
	{type: "pan"},
	{type: "zoomin"},
	{type: "zoomout"},
	{type: "zoomvisible"},
	{type: "-"} ,
/** Content of "options" for type: "any" is directly passed to Toolbar.push() .
 * A Toolbar Menu is a standard ExtJS item.
 */
	{type: "any",
		options: {
			text: 'GetFeatures',
			iconCls: 'bmenu',
			menu: {
				items: [
					{
						text: 'Within Rectangle',
						handler: function () {
							var select = new OpenLayers.Layer.Vector("Selection"
							);
							// var hover = new OpenLayers.Layer.Vector("Hover");
							var map = Heron.App.getMap();
							map.addLayers([select]);

//							var layer = map.getLayersByName('World Soil Resources (FAO)')[0];
							// Heron.scratch.layermap.lki_vlakken;
							var layer = Heron.scratch.layermap.bag_panden;
							var control = new OpenLayers.Control.GetFeature({
								protocol: OpenLayers.Protocol.WFS.fromWMSLayer(layer, {outputFormat: 'GML2'}),
								box: true,
								hover: false,
								multipleKey: "shiftKey",
								toggleKey: "ctrlKey"
							});
//							Array.prototype.clone = function() { return this.slice(0); }
							control.events.register("featuresselected", this, function (e) {
								//select.addFeatures([e.features]);
							});
							control.events.register("featureselected", this, function (e) {
								 select.addFeatures([e.feature]);
							});
							control.events.register("featureunselected", this, function (e) {
								 select.removeFeatures([e.feature]);
							});
							control.events.register("featuresunselected", this, function (e) {
								//select.removeFeatures([e.features]);
							});
//							control.events.register("hoverfeature", this, function (e) {
//								hover.addFeatures([e.feature]);
//							});
//							control.events.register("outfeature", this, function (e) {
//								hover.removeFeatures([e.feature]);
//							});
							map.addControl(control);
							control.activate();
						}
					}
				]
			}
		}
	}
];
