/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Ext.namespace("Heron.i18n");

/** api: (define)
 *  module = Heron.i18n
 *  class = Heron.i18n.dict (da_DK)
 *  base_link = `Ext.form.ComboBox <http://dev.sencha.com/deploy/dev/docs/?class=Ext.form.ComboBox>`_
 */

/**
 * Define dictionary for the Danish locale.
 * Contributed by: Victor Thomsen (Denmark)
 */
Heron.i18n.dict = {
    // 0.67
	'Active Layers' : 'Aktive lag',
	'Base Layer': 'Basislag',
	'Base Layers': 'Basislag',
	'BaseMaps': 'Basiskort',
	'Choose a Base Layer': 'V&aelig;lg et basislag',
	'Legend': 'Signaturforklaring',
	'Feature Info': 'Objektinformation',
	'Feature Data': 'Objektdata',
	'Feature(s)': 'objekt(er)',
	'No layer selected': 'Intet lag valgt',
	'Save Features': 'Gem objekter',
	'Get Features': 'Hent objekter',
	'Feature information': 'Oplysninger om objekt',
	'No Information found': 'Ingen oplysninger fundet',
	'Layer not added': 'Lag er ikke tilf&oslash;jet',
	'Attribute': 'Attribut',
	'Value': 'V&aelig;rdi',
	'Recieving data':'Modtager data',
	'Layers': 'Lag',
	'No match': 'Intet fundet',
	'Loading...': 'Indl&aelig;ser...',
	'Shortcuts': 'Hurtigklik',
	'Places': 'Steder',
	'Unknown': 'Ukendt',
	'Feature Info unavailable':'Objektinformation findes ikke',
	'Pan': 'Panor&eacute;r',
	'Measure length': 'M&aring;l l&aelig;ngde',
	'Measure area': 'M&aring;l areal',
	'Leg' : 'Etape',
	'Length': 'L&aelig;ngde',
	'Area': 'Areal',
	'Result >': 'Resultat >',
	'< Search': '< S&aring;g',
	'Search': 'S&aring;g',
	'Search Nominatim': 'Navnes&aring;gning i (OSM) med navn og/eller adresse',
	'Search OpenLS' : 'S&aring;g med OpenLS s&aring;getjeneste',
	'Search PDOK': 'Find en NL adresse...',
	'Searching...': 'S&aring;ger...',
	'Search Completed: ': 'S&aring;gning f&aelig;rdig: ',
	'services':'tjenester',
	'service':'tjeneste',
	'Type Nominatim': 'Indtast et stednavn eller adresse...',
	'Overlays': 'Temaer',
	'Waiting for': 'Venter p&aring;',
	'Warning': 'Advarsel',
	'Zoom in': 'Zoom ind',
	'Zoom out': 'Zoom ud',
	'Zoom to full extent':'Vis hele kortet',
	'Zoom previous': 'Forrige zoomvalg',
	'Zoom next': 'N&aelig;ste zoomvalg',

    // 0.68
	'Scale': 'Skala',
	'Resolution': 'Opl&oslash;sning',
	'Zoom': 'Zoomniveau',

    // 0.70
	 'Export': 'Eksport',
	 'Choose a Display Option' : 'V&aelig;lg en visnings option',
	 'Display' : 'Vis',
	 'Grid' : 'Tabel',
	 'Tree' : 'Tr&aelig;',
	 'XML' : 'XML',
	 'Invalid export format configured: ' : 'Ulovligt valg af format: ',
	 'No features available or non-grid display chosen' : 'Ingen objekter valgt eller visningsmetode forskellig fra tabel',
	 'Choose an Export Format' : 'V&aelig;lg et eksportformat',
	 'Print Visible Map Area Directly' : 'Udskiv synligt kortareal direkte',
	 'Direct Print Demo' : 'Demo af direkte udskrivning',
	 'This is a simple map directly printed.' : 'Dette er et simpelt kort udskrevet direkte.',
	 'Print Dialog Popup with Preview Map' : 'Udskrivningsdialog med forh&aring;ndsvisning af kort',
	 'Print Preview' : 'Udskriv forh&aring;ndsvisning',
	 'Print Preview Demo' : 'Udskriv demo af forh&aring;ndsvist kort',
	 'Error getting Print options from server: ' : 'Fejl ved hentning af udskrivningsoptioner fra server: ',
	 'Error from Print server: ' : 'Fejl fra udskrivnings server: ',
	 'No print provider url property passed in hropts.' : 'Ingen udskrivnings server url data i hropts.',
	 'Create PDF...' : 'Generer PDF...',
	 'Loading print data...' : 'Henter udskrivningsdata...'

};
