/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Ext.namespace("Heron.i18n");

/** api: (define)
 *  module = Heron.i18n
 *  class = Heron.i18n.dict (en_US)
 *  base_link = `Ext.form.ComboBox <http://dev.sencha.com/deploy/ext-3.3.1/docs/?class=Ext.form.ComboBox>`_
 */

/**
 * Define dictionary for the US locale.
 * Maintained by: Heron devs
 */
Heron.i18n.dict = {
    // 0.67
	'Active Layers' : 'Active Layers',
	'Base Layer': 'Base Layer',
	'Base Layers': 'Base Layers',
	'BaseMaps': 'Base Maps',
	'Choose a Base Layer': 'Choose a Base Layer',
	'Legend': 'Legend',
	'Feature Info': 'Feature Info',
	'Feature Data': 'Feature Data',
	'Feature(s)': 'feature(s)',
	'No layer selected': 'No layer selected',
	'Save Features': 'Save Features',
	'Get Features': 'Get Features',
	'Feature information': 'Feature information',
	'No Information found': 'No Information found',
	'Layer not added': 'Layer not added',
	'Attribute': 'Attribute',
	'Value': 'Value',
	'Recieving data':'Recieving data',
	'Layers': 'Layers',
	'No match': 'No match',
	'Loading...': 'Loading...',
	'Shortcuts': 'Shortcuts',
	'Places': 'Places',
	'Unknown': 'Unknown',
	'Feature Info unavailable':'Feature Info unavailable',
	'Pan': 'Pan',
	'Leg' : 'Leg',
	'Measure length': 'Measure length',
	'Measure area': 'Measure Area',
	'Length': 'Length',
	'Area': 'Area',
	'Result >': 'Result >',
	'< Search': '< Search',
	'Search': 'Search',
	'Search Nominatim': 'Search (OSM) data by name and address',
	'Search OpenLS' : 'Search with OpenLS service',
	'Search PDOK': 'Type (parts of) Dutch national address',
	'Searching...': 'Searching...',
	'Search Completed: ': 'Search completed: ',
	'services':'services',
	'service':'service',
	'Type Nominatim': 'Type a placename or address...',
	'Overlays': 'Overlays',
	'Waiting for': 'Waiting for',
	'Warning': 'Warning',
	'Zoom in': 'Zoom in',
	'Zoom out': 'Zoom out',
	'Zoom to full extent':'Zoom to full extent',
	'Zoom previous': 'Zoom previous',
	'Zoom next': 'Zoom next',

    // 0.68
	'Scale': 'Scale',
	'Resolution': 'Resolution',
	'Zoom': 'Zoom level',

    // 0.70
	'Export': 'Export',
	'Choose a Display Option' : 'Choose a Display Option',
	'Display' : 'Display',
	'Grid' : 'Grid',
	'Tree' : 'Tree',
	'XML' : 'XML',
	'Invalid export format configured: ' : 'Invalid export format configured: ',
	'No features available or non-grid display chosen' : 'No features available or non-grid display chosen',
	'Choose an Export Format' : 'Choose an Export Format',
	'Print Visible Map Area Directly' : 'Print Visible Map Area Directly',
	'Direct Print Demo' : 'Direct Print Demo',
	'This is a simple map directly printed.' : 'This is a simple map directly printed.',
	'Print Dialog Popup with Preview Map' : 'Print Dialog Popup with Preview Map',
	'Print Preview' : 'Print Preview',
	'Print Preview Demo' : 'Print Preview Demo',
	'Error getting Print options from server: ' : 'Error getting Print options from server: ',
	'Error from Print server: ' : 'Error from Print server: ',
	'No print provider url property passed in hropts.' : 'No print provider url property passed in hropts.',
	'Create PDF...' : 'Create PDF...',
	'Loading print data...' : 'Loading print data...',

	 // 0.71
	'Go to coordinates': 'Go to coordinates',
	'Go!': 'Go!',
	'Pan and zoom to location': 'Pan and zoom to location',
	'Enter coordinates to go to location on map': 'Enter coordinates to go to location on map',
	'Active Themes': 'Active Themes',
	'Move up': 'Move up',
	'Move down': 'Move down',
	'Opacity': 'Opacity',
	'Remove layer from list': 'Remove layer from list',
	'Tools': 'Tools',
	'Removing': 'Removing',
	'Are you sure you want to remove the layer from your list of layers?': 'Are you sure you want to remove the layer from your list of layers?',
	'You are not allowed to remove the baselayer from your list of layers!': 'You are not allowed to remove the baselayer from your list of layers!',

	// 0.72
	'Draw Features': 'Draw Features'
};
